Name:           xfce4-datetime-plugin
Version:        0.6.1
Release:        9%{?dist}
Summary:        Date/time plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:        xfce4-datetime-plugin-0.6.1-xfce4-panel-4.7.patch
# http://git.xfce.org/panel-plugins/xfce4-datetime-plugin/commit/?id=7770996215eeca0f5e5f89bdcc4df94acc1d9415
Patch1:         xfce4-datetime-plugin-0.6.1-tooltips.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-dateime-plugin/c/master/ 
# as of 2010-12-18
Patch2:         xfce4-datetime-plugin-0.6.1-update-translations.patch
# http://bugzilla.xfce.org/show_bug.cgi?id=6443
#Patch3:         xfce4-datetime-plugin-0.6.1-port-to-libxfce4ui.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.99.2
BuildRequires:  libxfcegui4-devel >= 4.3.99.2
BuildRequires:  libxml2-devel
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.0

%description
An alternative clock plugin for the Xfce panel. A calendar appears when you 
left-click on it.


%prep
%setup -q
%patch0 -p1 -b .xfce4-panel-4.7
%patch1 -p1 -b .tooltips
%patch2 -p1 -b .update-translations
#%patch3 -p1 -b .port-to-libxfce4ui
#autoreconf


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS THANKS
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6.1-8
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-6
- Patch for xfce4-panel 4.7

* Sat Dec 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-5
- Bring back tooltips (#609129)
- Update translations from Xfce Transifex

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-2
- Rebuild for Xfce 4.6 (Beta 3)

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1
- Include NEWS and THANKS docs

* Thu Jul 03 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0
- BuildRequire intltool
- No longer BuildRequire dbus-devel (requirement dropped upstream)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.0-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-3
- Rebuild for BuildID feature
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-2
- Multilib fix for desktop file (#228168).

* Sat Feb 24 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0.

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-2
- Rebuild for Xfce 4.4.
- Patch datetime.c to 0.4.2.

* Fri Dec 22 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1.

* Sun Oct 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0 on Xfce 4.4. RC1.
- Fix %%defattr.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-8
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-7
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-6
- Rebuild for Fedora Extras 5.

* Tue Nov 29 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-5
- Add libxfcegui4-devel BuildReqs.

* Fri Nov 25 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-4
- Rebuild with new source because of md5sum mismatch.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-1.fc3.cw
- Initial RPM release.
